local Tablet = AceLibrary("Tablet-2.0")
FindParty = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0")
FindParty:RegisterChatCommand("/fpf", options)
FindParty:RegisterDB("FindPartyDB")

FindParty.hasIcon = "Interface\\AddOns\\FuBar_FindPartyFu\\SIM-Icon"
FindParty.defaultPosition = "RIGHT"
FindParty.defaultMinimapPosition = 180
FindParty.cannotDetachTooltip = true
FindParty.cannotHideText = true

if(FP_Minimap_Button) then FP_Minimap_Button:Hide(); end

function FindParty:OnClick()
	FP_IconClicked();
	FP_Tooltip_Func.ICON();
end

function FindParty:OnTooltipUpdate()

	local cat = Tablet:AddCategory(
		'columns', 5,
		'child_text4R', 0,
		'child_text4G', 1,
		'child_text4B', 1
	)
	
	local msg = "|cff00ff00왼쪽 클릭: |r파티찾기 도우미 열기";
	msg = msg.."\n|cff00ff00왼쪽 누르고 드래그 : |r아이콘이동";
	msg = msg.."\n|cff00ff00Alt + 왼쪽클릭: |r아이콘 고정/해제";
	msg = msg.."\n|cff00ff00Ctrl + 왼쪽클릭: |r광고 시작/정지";
	msg = msg.."\n|cff00ff00Shift + 왼쪽클릭: |r기능 정지/작동";
	msg = msg.."\n|cff00ff00오른쪽 클릭: |r옵션";
	msg = msg.."\n ";
	msg = msg.."\n현재:";
	if (FP_IsActivated()) then
		msg = msg.." 작동중";
	else
		msg = msg.." 작동정지";
	end
	if (FP_IsAnnoucing()) then
		msg = msg.." 광고중 "
	end
	if (FP_Options.iconLocked) then
		msg = msg.." 아이콘고정"
	end
		
	cat:AddLine('text',msg)
		
	--Tablet:SetHint(L["You can select notes to be shown on the tooltip in the menu"])
end

FindParty.OnMenuRequest =
{
	type = 'group',
	args = 
	{
		demo=
		{
			type = 'range',
			name = "광고 주기",
			desc = "광고 주기",
			get = function()
				return FP_Options["interval"]
			end,
			set = function(newval)
				FP_Options["interval"] = newval
			end,
			min = 10,
			max = 300,
			step = 5,
			order = 1,
		},
		noticeTime=
		{
			type = 'range',
			name = "유효 시간",
			desc = "유효 시간",
			get = function()
				return FP_Options["valid"]
			end,
			set = function(newval)
				FP_Options["valid"] = newval
			end,
			min = 10,
			max = 300,
			step = 5,
			order = 2,
		},
	}
}